API ReferenceAgent templates
Get an agent template
Authorization
api-key AuthorizationBearer <token>
Workspace API key (nim_live_...)
In: header
Path Parameters
id*string
Response Body
application/json
curl -X GET "https://example.com/v1/agent-templates/linkedin-ghostwriter"{ "id": "linkedin-ghostwriter", "name": "LinkedIn Ghostwriter", "description": "string", "category": "content", "kind": "content", "channelTypes": [ "LINKEDIN" ], "multiChannel": true, "presets": [ { "key": "carousel", "name": "Carousel Designer", "description": "string", "creditsPerRun": { "min": 5, "max": 40 } } ], "fields": [ { "key": "tone", "label": "Tone of voice", "type": "channel", "required": true, "askable": true, "setupInApp": true, "multiple": true, "options": [ { "value": "draft", "label": "Draft replies for me to approve" } ], "appOnlyValues": [ "string" ], "onlyWhen": { "key": "operatingMode", "values": [ "autopilot" ] } } ], "creditsPerRun": { "min": 5, "max": 40 }}Empty